//
//  gqueue
//
//  Extensive documentation in gqueue.c.
//
//  Created by Jeffrey Frey on Tue Jan 10 2006.
//  Network & Systems Services
//  University of Delaware
//  Copyright (c) 2006
//

#ifndef GQUEUE_H
#define GQUEUE_H

#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include <getopt.h>
#include <unistd.h>
#include <pwd.h>
#include <errno.h>
#include <sys/param.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "GQPEList.h"
#include "strutils.h"

extern int          gqVerbose;
extern int          gqDebug;
extern int          gqHelp;
extern int          gqSaveOutput;
extern int          gqSaveScript;
extern char*        gqEmailAddress;
extern char*        gqQueueDirectory;
extern unsigned int gqNProc;
extern char*        gqInputFilePath;
extern char*        gqScriptFilePath;

void GQExportEnv();
void GQImportEnv();

#endif
